"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _propTypes = require("prop-types");
require("./CoalitionButton.css");
const CoalitionButton = _ref => {
  let {
    label,
    backgroundColor,
    disabled,
    onClickEvent
  } = _ref;
  return /*#__PURE__*/React.createElement("button", {
    type: "button",
    className: "coalition-button",
    disabled: disabled,
    style: {
      backgroundColor: backgroundColor
    },
    onClick: onClickEvent
  }, label);
};
CoalitionButton.propTypes = {
  label: _propTypes.PropTypes.string,
  backgroundColor: _propTypes.PropTypes.string,
  disabled: _propTypes.PropTypes.bool,
  onClickEvent: _propTypes.PropTypes.func
};
CoalitionButton.defaultProps = {
  label: "Button Label",
  backgroundColor: "#4A90E2",
  disabled: false,
  onClickEvent: e => console.log(["(Coalition Button) No submit function associated", e])
};
var _default = CoalitionButton;
exports.default = _default;