"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = CoalitionCard;
require("core-js/modules/es.symbol.description.js");
var _propTypes = require("prop-types");
var _utils = require("../../utils");
var _CoalitionCardTitle = require("../CoalitionCardTitle");
var _CoalitionCardDescription = require("../CoalitionCardDescription");
var _CoalitionButton = require("../CoalitionButton");
require("./CoalitionCard.css");
/**
 * const Card = ({}) => {};
 * export default Card;
 */

function CoalitionCard(_ref) {
  let {
    children,
    title,
    description,
    buttonLabel,
    valid,
    submitFunction
  } = _ref;
  return /*#__PURE__*/React.createElement("div", {
    className: "coalition-card"
  }, /*#__PURE__*/React.createElement(_CoalitionCardTitle.CoalitionCardTitle, {
    title: title
  }), /*#__PURE__*/React.createElement(_CoalitionCardDescription.CoalitionCardDescription, {
    description: description
  }), /*#__PURE__*/React.createElement("div", null, children), /*#__PURE__*/React.createElement(_CoalitionButton.CoalitionButton, {
    label: buttonLabel,
    backgroundColor: (0, _utils.isDisabled)(valid),
    disabled: valid,
    onClickEvent: submitFunction
  }));
}
CoalitionCard.propTypes = {
  children: _propTypes.PropTypes.element,
  currentStep: _propTypes.PropTypes.number,
  maxSteps: _propTypes.PropTypes.number,
  title: _propTypes.PropTypes.string,
  description: _propTypes.PropTypes.string,
  buttonLabel: _propTypes.PropTypes.string,
  valid: _propTypes.PropTypes.bool,
  submitFunction: _propTypes.PropTypes.func
};
CoalitionCard.defaultProps = {
  children: /*#__PURE__*/React.createElement(React.Fragment, null, "HTML Children here!"),
  currentStep: 2,
  maxSteps: 3,
  title: "Card Title",
  description: "Card Description",
  buttonLabel: "Accept",
  valid: true,
  submitFunction: e => console.log(["No submit function associated", e])
};